#{extends 'template/layout.html' /}
#{set title:'Produk' /}

#{set 'moreScripts'}
<script src="@{'/public/javascripts/jquery.inputmask.bundle.js'}"></script>
<script>
$(function() {

    // $('.harga').inputmask("numeric", {
    //     radixPoint: ",",
    //     groupSeparator: ".",
    //     digits: 2,
    //     autoGroup: true,
    //     prefix: 'Rp ', //No Space, this will truncate the first character
    //     rightAlign: false,
    //     removeMaskOnSubmit: false,
    //     oncleared: function () { self.Value(''); }
    // });

    // $('.stok').inputmask("numeric", {
    //     radixPoint: ",",
    //     groupSeparator: ".",
    //     digits: 0,
    //     autoGroup: true,
    //     prefix: '', //No Space, this will truncate the first character
    //     rightAlign: false,
    //     removeMaskOnSubmit: true,
    //     oncleared: function () { self.Value(''); }
    // });

    $('.total').inputmask("numeric", {
        radixPoint: ",",
        groupSeparator: ".",
        digits: 2,
        autoGroup: true,
        prefix: 'Rp ', //No Space, this will truncate the first character
        rightAlign: false,
        removeMaskOnSubmit: false,
        oncleared: function () { self.Value(''); }
    });

    
    $("form").submit(function(event) {
      console.log("submit ");
      var h = $(".total").val().replace("Rp ", "").replace(/\./g, "").replace(",",".");
      $(".total_price").val(h);
      $(".total").val(h);
      console.log("total_price "+h);
      //event.preventDefault();
      //return;
    });
    

    $(document).ready(function(){
        $("#qty").change();
        $("#pesan").prop('disabled', true);
    });

    $("#qty").on("change",function(){
        var qty = $(this).val();
        var harga = $("#harga").val().replace("Rp ", "").replace(/\./g,"").replace(",",".");
        $("#tot").val(qty * harga);
        $(".price").val(harga);
        console.log("price "+$(".price").val());
    });
  })

  function onJumlah(){
    if($("#qty").val() < 10){
        $("#qty").val(10);
        $("#alert_jumlah").show();
        $("#alert_jumlah").html("Jumlah Pesanan Tidak Boleh Kurang Dari 10");
    }else{
        $("#alert_jumlah").hide();
    }
  }

  function validasi() {
    var validate = true;   

    if (!$("#qty").val()){
        validate = false;
    } 

    if (!$("#pengiriman").val()){
        validate = false;
    }

    if (!$("#alamat").val()){
        validate = false;
    }

    if(validate){
      if ($('#setuju').is(":checked") == false) {
        validate = false;
        $("#pesan").prop('disabled', true);
      }else{
        $("#pesan").prop('disabled', false);
      }
    }else{
      alert("Lengkapi Form Di Atas");
      $("#pesan").prop('disabled', true);
      $('#setuju').prop('checked',false);
    }
  }
  </script>
#{/set}

<!-- Horizontal Form -->
<div class="box box-info">
    <div class="box-header with-border">
      <h3 class="box-title">Produk Form</h3>

      #{if flash.error}   
          <span class="label label-warning pull-right" style="padding-top: 8px;padding-bottom: 8px;">${flash.get("error")}</span>
      #{/if}
       
    </div>
    <!-- /.box-header -->
    <!-- form start -->
    <form class="form-horizontal" action="@{CProduk.formSubmit}">
        <input type="hidden" value="" name="price" class="price">
        <input type="hidden" value="" name="total_price" class="total_price">
        <input type="hidden" value="${barang.id}" name="trx.item_id">
        <input type="hidden" value="${loginInfo.id}" name="trx.user_id">
        <input type="hidden" value="${barang.user_id}" name="trx.merchant_id">
      <div class="box-body">

        <div class="form-group">
          <label class="col-sm-2 control-label">Nama</label>

          <div class="col-sm-10">
            <input value="${barang.nama}" type="text" class="form-control" disabled>
          </div>
        </div>

        <div class="form-group">
            <label class="col-sm-2 control-label">Deskripsi</label>

            <div class="col-sm-10">
              <input value="${barang.deskripsi}" type="text" class="form-control" disabled >
            </div>
          </div>

        <div class="form-group">
            <label class="col-sm-2 control-label">Harga</label>

            <div class="col-sm-10">
              <input name="trx.harga_item" id="harga"
              value="Rp ${java.text.NumberFormat.getInstance(new Locale("da", "DK")).format((barang.harga instanceof Number) ? (Number) barang.harga : 0)}"
              type="text" class="form-control harga" readonly>
            </div>
          </div>
          <div class="form-group">
              <label class="col-sm-2 control-label">Stok</label>

              <div class="col-sm-10">
                <input
                value="${java.text.NumberFormat.getInstance(new Locale("da", "DK")).format((barang.stok instanceof Number) ? (Number) barang.stok : 0)}"
                type="text" class="form-control stok" id="stok" disabled >
              </div>
            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">Jumlah</label>

                <div class="col-sm-10">
                    <input name="trx.jumlah_item" id="qty" value="${ (flash.get("jumlah_item")) ? flash.get("jumlah_item"):10 }" type="number" class="form-control" onchange="onJumlah()" required >
                    <span style="color: red; display: none;" id="alert_jumlah"></span>
                </div>

            </div>
            <div class="form-group">
                <label class="col-sm-2 control-label">Total Harga</label>

                <div class="col-sm-10">
                    <input name="trx.total_harga"
                    id="tot" type="text" class="form-control total" readonly >
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-2 control-label">Jasa Pengiriman</label>

                <div class="col-sm-10">
                  <select class="form-control" name="pengiriman" id="pengiriman">
                    <option>JNE</option>
                    <option>JNT</option>
                    <option>TIKI</option>
                  </select>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-2 control-label">Alamat Pengiriman</label>

                <div class="col-sm-10">
                    <textarea name="trx.alamat" id="alamat" cols="3" class="form-control" onchange="validasi()" required >${ (flash.get("alamat")) ? flash.get("alamat"):"" }</textarea>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-2 control-label">Persetujuan</label>

                <div class="col-sm-10">
                    <div class="checkbox">
                      <label>
                        <input type="checkbox" name="setuju" value="1" id="setuju" onchange="validasi()" required>
                        Saya Setuju Membeli Barang di Atas
                      </label>
                    </div>
                </div>
            </div>
      </div>
      <!-- /.box-body -->
      <div class="box-footer">
        <a href="@{CProduk.index()}" class="btn btn-default">Cancel</a>
        <button type="submit" class="btn btn-info pull-right" id="pesan">Pesan</button>
      </div>
      <!-- /.box-footer -->
    </form>
  </div>
  <!-- /.box -->
